summarylogtreecommitdiffstats
path: root/zash.install
diff options
context:
space:
mode:
authorrobiot2021-10-30 16:45:12 +0300
committerrobiot2021-10-30 16:45:12 +0300
commit4685cbe94e2889caf2fabf5f630f1f288acb4bbe (patch)
tree0a1800e649ed99f7b1305406041d930c3bf3dd54 /zash.install
parent0abf1bcf961e8474fffb5dada50b000d4b66ea77 (diff)
downloadaur-4685cbe94e2889caf2fabf5f630f1f288acb4bbe.tar.gz
Add zash.install
Diffstat (limited to 'zash.install')
-rw-r--r--zash.install13
1 files changed, 13 insertions, 0 deletions
diff --git a/zash.install b/zash.install
new file mode 100644
index 000000000000..ac9327cc469f
--- /dev/null
+++ b/zash.install
@@ -0,0 +1,13 @@
+
+post_install() {
+ grep -qe '^/usr/bin/zash$' etc/shells || echo '/usr/bin/zash' >> etc/shells
+ grep -qe '^/bin/zash$' etc/shells || echo '/bin/zash' >> etc/shells
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ sed -ri -e '\|^/usr/bin/zash$|d' -e '\|^/bin/zash$|d' etc/shells
+}